无法解决:com.facebook.android:facebook-android-sdk:4.4.0

下面是我的build.gradle文件中的代码。

apply plugin: 'com.android.application' android { compileSdkVersion 22 buildToolsVersion "23.0.0 rc3" defaultConfig { applicationId "com.example.test" minSdkVersion 14 targetSdkVersion 22 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } repositories { mavenCentral() } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:22.2.1' compile 'com.facebook.android:facebook-android-sdk:4.4.0' } 

当我用Gradle文件做同步项目,它给了我错误。

  Error:(28, 13) Failed to resolve: com.facebook.android:facebook-android-sdk:4.4.0 

谁能告诉我为什么我得到这个错误?

这里也有类似的问题,但没有人回答。 ( 无法解决:com.facebook.android:facebook-android-sdk:4.0.0 )

Solutions Collecting From Web of "无法解决:com.facebook.android:facebook-android-sdk:4.4.0"

最后花了6-8个小时。 我得到了你的解决scheme。 您必须更改应用程序build.gradle文件中的存储库部分。 将其从mavenCentral更改为jcenter ,如下所示

 repositories { jcenter { url "http://jcenter.bintray.com/" } } 

有了这个之后,你可以简单地添加依赖关系

 compile 'com.facebook.android:facebook-android-sdk:4.0.0' 

尝试这个,

 dependencies { compile 'com.facebook.android:facebook-android-sdk:4.4.1' } 

信息

buildToolsVersion "23.0.0 rc3"纯粹不稳定。设置minSdkVersion 15